> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clicker.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Leaderboard (V1)

> Get the top traders across different PnL leaderboard categories (overall, by chain, by community, by token type). Returns ranked lists of traders with their profits and trading metrics. Note: Chain leaderboards are sorted by per-chain PnL, but the pnl30 field always reflects all-chain PnL. Use the reason property to display per-chain values.

<Warning>
  **V1 is deprecated.** We recommend using [Leaderboard V2](/api-reference/leaderboard-v2) which provides a simpler, filter-based API with per-chain PnL breakdowns.
</Warning>

The V1 leaderboard returns multiple sections (categories) in a single response. Each section contains two arrays: `commenters` (traders with swap comments) and `others` (traders without comments).

## Migration to V2

See the [V2 Leaderboard](/api-reference/leaderboard-v2) documentation for migration guidance.


## OpenAPI

````yaml GET /v1/leaderboard
openapi: 3.0.0
info:
  version: 1.0.0
  title: Daylight.xyz API
  description: >-
    Welcome to the Daylight API! API endpoints require a Daylight partner API
    key passed in the HTTP Authorization header.
servers:
  - url: https://api.clicker.xyz
security:
  - {}
  - bearerAuth: []
paths:
  /v1/leaderboard:
    get:
      tags:
        - Social - Feed, Profiles and Discovery
      summary: Get PnL Leaderboards
      description: >-
        Get the top traders across different PnL leaderboard categories
        (overall, by chain, by community, by token type). Returns ranked lists
        of traders with their profits and trading metrics. Note: Chain
        leaderboards are sorted by per-chain PnL, but the pnl30 field always
        reflects all-chain PnL. Use the reason property to display per-chain
        values.
      parameters:
        - schema:
            type: integer
            minimum: 0
            exclusiveMinimum: true
            maximum: 250
            default: 50
          required: false
          name: limit
          in: query
        - schema:
            anyOf:
              - type: string
              - type: array
                items:
                  type: string
          required: false
          name: sections
          in: query
        - schema:
            type: string
            enum:
              - 7d
              - 30d
            default: 30d
          required: false
          name: timeframe
          in: query
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LeaderboardResponse'
        '400':
          description: >-
            The request payload or query string parameter you passed was not
            valid
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
components:
  schemas:
    LeaderboardResponse:
      type: object
      properties:
        sections:
          type: array
          items:
            type: object
            properties:
              key:
                type: string
              title:
                type: string
              description:
                type: string
              commenters:
                type: array
                items:
                  type: object
                  properties:
                    reason:
                      type: object
                      properties:
                        title:
                          type: string
                        value:
                          type: string
                        format:
                          type: string
                          enum:
                            - currency
                            - percent
                            - text
                      required:
                        - title
                        - value
                        - format
                    id:
                      type: string
                    name:
                      type: string
                    images:
                      type: object
                      properties:
                        raw:
                          type: string
                          nullable: true
                          description: The full-sized image
                        xs:
                          type: string
                          nullable: true
                          description: 75x75
                        sm:
                          type: string
                          nullable: true
                          description: 300x300
                      required:
                        - raw
                        - xs
                        - sm
                      description: URLs for different size squares.
                    addresses:
                      type: array
                      items:
                        type: string
                    externalId:
                      type: string
                    metadata:
                      type: object
                      properties:
                        farcasterUsername:
                          type: string
                          nullable: true
                        farcasterId:
                          type: number
                          nullable: true
                        lensHandle:
                          type: string
                          nullable: true
                        ensName:
                          type: string
                          nullable: true
                        twitterHandle:
                          type: string
                          nullable: true
                        debankName:
                          type: string
                          nullable: true
                        hlName:
                          type: string
                          nullable: true
                        commentCount30d:
                          type: number
                          nullable: true
                        pnl30d:
                          type: number
                          nullable: true
                        winRate30d:
                          type: number
                          nullable: true
                        tradeCount30d:
                          type: number
                          nullable: true
                        roiPercent30d:
                          type: number
                          nullable: true
                        pnl7d:
                          type: number
                          nullable: true
                        winRate7d:
                          type: number
                          nullable: true
                        tradeCount7d:
                          type: number
                          nullable: true
                        roiPercent7d:
                          type: number
                          nullable: true
                        medianHoldingTimeMinutes:
                          type: number
                          nullable: true
                        perAddressPnl30d:
                          type: object
                          additionalProperties:
                            type: number
                        perAddressRoiPercent30d:
                          type: object
                          additionalProperties:
                            type: number
                            nullable: true
                        perChainPnl30d:
                          type: object
                          properties:
                            solana:
                              type: number
                              nullable: true
                            ethereum:
                              type: number
                              nullable: true
                            base:
                              type: number
                              nullable: true
                            hyperliquid:
                              type: number
                              nullable: true
                          required:
                            - solana
                            - ethereum
                            - base
                            - hyperliquid
                        perChainRoiPercent30d:
                          type: object
                          properties:
                            solana:
                              type: number
                              nullable: true
                            ethereum:
                              type: number
                              nullable: true
                            base:
                              type: number
                              nullable: true
                            hyperliquid:
                              type: number
                              nullable: true
                          required:
                            - solana
                            - ethereum
                            - base
                            - hyperliquid
                        perChainVolumeUsd30d:
                          type: object
                          properties:
                            solana:
                              type: number
                              nullable: true
                            ethereum:
                              type: number
                              nullable: true
                            base:
                              type: number
                              nullable: true
                            hyperliquid:
                              type: number
                              nullable: true
                          required:
                            - solana
                            - ethereum
                            - base
                            - hyperliquid
                        perChainPnl7d:
                          type: object
                          properties:
                            solana:
                              type: number
                              nullable: true
                            ethereum:
                              type: number
                              nullable: true
                            base:
                              type: number
                              nullable: true
                            hyperliquid:
                              type: number
                              nullable: true
                          required:
                            - solana
                            - ethereum
                            - base
                            - hyperliquid
                        perChainRoiPercent7d:
                          type: object
                          properties:
                            solana:
                              type: number
                              nullable: true
                            ethereum:
                              type: number
                              nullable: true
                            base:
                              type: number
                              nullable: true
                            hyperliquid:
                              type: number
                              nullable: true
                          required:
                            - solana
                            - ethereum
                            - base
                            - hyperliquid
                        perChainVolumeUsd7d:
                          type: object
                          properties:
                            solana:
                              type: number
                              nullable: true
                            ethereum:
                              type: number
                              nullable: true
                            base:
                              type: number
                              nullable: true
                            hyperliquid:
                              type: number
                              nullable: true
                          required:
                            - solana
                            - ethereum
                            - base
                            - hyperliquid
                      required:
                        - farcasterUsername
                        - farcasterId
                        - lensHandle
                        - ensName
                        - twitterHandle
                        - debankName
                        - hlName
                        - commentCount30d
                        - pnl30d
                        - winRate30d
                        - tradeCount30d
                        - roiPercent30d
                        - pnl7d
                        - winRate7d
                        - tradeCount7d
                        - roiPercent7d
                        - medianHoldingTimeMinutes
                    isNSFW:
                      anyOf:
                        - type: boolean
                          enum:
                            - false
                        - type: object
                          properties:
                            nsfwImage:
                              type: boolean
                            nsfwText:
                              type: boolean
                          required:
                            - nsfwImage
                            - nsfwText
                      description: >-
                        `false` when the profile is clean. Otherwise an object
                        with `nsfwImage` and `nsfwText` booleans indicating
                        which axes the scanner flagged. Clients decide whether
                        to render, censor, or hide the underlying content.
                    metrics:
                      type: object
                      properties:
                        thisPartner:
                          type: object
                          properties:
                            followingCount:
                              type: number
                              nullable: true
                            followerCount:
                              type: number
                              nullable: true
                          required:
                            - followingCount
                            - followerCount
                        allPartners:
                          type: object
                          properties:
                            followingCount:
                              type: number
                              nullable: true
                            followerCount:
                              type: number
                              nullable: true
                          required:
                            - followingCount
                            - followerCount
                        comments:
                          type: object
                          properties:
                            commentCount30d:
                              type: number
                              nullable: true
                            commentCountAllTime:
                              type: number
                              nullable: true
                          required:
                            - commentCount30d
                            - commentCountAllTime
                        copytradedAllTime:
                          type: object
                          properties:
                            count:
                              type: number
                              nullable: true
                            distinctActors:
                              type: number
                              nullable: true
                            volumeUSD:
                              type: number
                              nullable: true
                          required:
                            - count
                            - distinctActors
                            - volumeUSD
                      required:
                        - thisPartner
                        - allPartners
                        - comments
                        - copytradedAllTime
                      description: Social metrics for the profile
                    isFollowedByUser:
                      type: boolean
                      description: >-
                        Whether the viewer follows this profile. Only populated
                        on endpoints that accept a `viewerAddresses` query param
                        (e.g. `GET /v1/addresses/:identifier/profile`). Absent
                        on endpoints that do not surface follow status.
                    status:
                      type: string
                      enum:
                        - unnamed
                        - backfilling
                        - active
                      description: >-
                        Indicates whether the profile's addresses are being
                        tracked by the swaps indexer. `unnamed` means no
                        addresses-to-check entries exist yet, `backfilling`
                        means at least one is still pending backfill, `active`
                        means all entries exist and have finished backfilling.
                  required:
                    - reason
                    - id
                    - name
                    - images
                    - addresses
                    - metadata
                    - isNSFW
                    - metrics
                    - status
              others:
                type: array
                items:
                  type: object
                  properties:
                    reason:
                      type: object
                      properties:
                        title:
                          type: string
                        value:
                          type: string
                        format:
                          type: string
                          enum:
                            - currency
                            - percent
                            - text
                      required:
                        - title
                        - value
                        - format
                    id:
                      type: string
                    name:
                      type: string
                    images:
                      type: object
                      properties:
                        raw:
                          type: string
                          nullable: true
                          description: The full-sized image
                        xs:
                          type: string
                          nullable: true
                          description: 75x75
                        sm:
                          type: string
                          nullable: true
                          description: 300x300
                      required:
                        - raw
                        - xs
                        - sm
                      description: URLs for different size squares.
                    addresses:
                      type: array
                      items:
                        type: string
                    externalId:
                      type: string
                    metadata:
                      type: object
                      properties:
                        farcasterUsername:
                          type: string
                          nullable: true
                        farcasterId:
                          type: number
                          nullable: true
                        lensHandle:
                          type: string
                          nullable: true
                        ensName:
                          type: string
                          nullable: true
                        twitterHandle:
                          type: string
                          nullable: true
                        debankName:
                          type: string
                          nullable: true
                        hlName:
                          type: string
                          nullable: true
                        commentCount30d:
                          type: number
                          nullable: true
                        pnl30d:
                          type: number
                          nullable: true
                        winRate30d:
                          type: number
                          nullable: true
                        tradeCount30d:
                          type: number
                          nullable: true
                        roiPercent30d:
                          type: number
                          nullable: true
                        pnl7d:
                          type: number
                          nullable: true
                        winRate7d:
                          type: number
                          nullable: true
                        tradeCount7d:
                          type: number
                          nullable: true
                        roiPercent7d:
                          type: number
                          nullable: true
                        medianHoldingTimeMinutes:
                          type: number
                          nullable: true
                        perAddressPnl30d:
                          type: object
                          additionalProperties:
                            type: number
                        perAddressRoiPercent30d:
                          type: object
                          additionalProperties:
                            type: number
                            nullable: true
                        perChainPnl30d:
                          type: object
                          properties:
                            solana:
                              type: number
                              nullable: true
                            ethereum:
                              type: number
                              nullable: true
                            base:
                              type: number
                              nullable: true
                            hyperliquid:
                              type: number
                              nullable: true
                          required:
                            - solana
                            - ethereum
                            - base
                            - hyperliquid
                        perChainRoiPercent30d:
                          type: object
                          properties:
                            solana:
                              type: number
                              nullable: true
                            ethereum:
                              type: number
                              nullable: true
                            base:
                              type: number
                              nullable: true
                            hyperliquid:
                              type: number
                              nullable: true
                          required:
                            - solana
                            - ethereum
                            - base
                            - hyperliquid
                        perChainVolumeUsd30d:
                          type: object
                          properties:
                            solana:
                              type: number
                              nullable: true
                            ethereum:
                              type: number
                              nullable: true
                            base:
                              type: number
                              nullable: true
                            hyperliquid:
                              type: number
                              nullable: true
                          required:
                            - solana
                            - ethereum
                            - base
                            - hyperliquid
                        perChainPnl7d:
                          type: object
                          properties:
                            solana:
                              type: number
                              nullable: true
                            ethereum:
                              type: number
                              nullable: true
                            base:
                              type: number
                              nullable: true
                            hyperliquid:
                              type: number
                              nullable: true
                          required:
                            - solana
                            - ethereum
                            - base
                            - hyperliquid
                        perChainRoiPercent7d:
                          type: object
                          properties:
                            solana:
                              type: number
                              nullable: true
                            ethereum:
                              type: number
                              nullable: true
                            base:
                              type: number
                              nullable: true
                            hyperliquid:
                              type: number
                              nullable: true
                          required:
                            - solana
                            - ethereum
                            - base
                            - hyperliquid
                        perChainVolumeUsd7d:
                          type: object
                          properties:
                            solana:
                              type: number
                              nullable: true
                            ethereum:
                              type: number
                              nullable: true
                            base:
                              type: number
                              nullable: true
                            hyperliquid:
                              type: number
                              nullable: true
                          required:
                            - solana
                            - ethereum
                            - base
                            - hyperliquid
                      required:
                        - farcasterUsername
                        - farcasterId
                        - lensHandle
                        - ensName
                        - twitterHandle
                        - debankName
                        - hlName
                        - commentCount30d
                        - pnl30d
                        - winRate30d
                        - tradeCount30d
                        - roiPercent30d
                        - pnl7d
                        - winRate7d
                        - tradeCount7d
                        - roiPercent7d
                        - medianHoldingTimeMinutes
                    isNSFW:
                      anyOf:
                        - type: boolean
                          enum:
                            - false
                        - type: object
                          properties:
                            nsfwImage:
                              type: boolean
                            nsfwText:
                              type: boolean
                          required:
                            - nsfwImage
                            - nsfwText
                      description: >-
                        `false` when the profile is clean. Otherwise an object
                        with `nsfwImage` and `nsfwText` booleans indicating
                        which axes the scanner flagged. Clients decide whether
                        to render, censor, or hide the underlying content.
                    metrics:
                      type: object
                      properties:
                        thisPartner:
                          type: object
                          properties:
                            followingCount:
                              type: number
                              nullable: true
                            followerCount:
                              type: number
                              nullable: true
                          required:
                            - followingCount
                            - followerCount
                        allPartners:
                          type: object
                          properties:
                            followingCount:
                              type: number
                              nullable: true
                            followerCount:
                              type: number
                              nullable: true
                          required:
                            - followingCount
                            - followerCount
                        comments:
                          type: object
                          properties:
                            commentCount30d:
                              type: number
                              nullable: true
                            commentCountAllTime:
                              type: number
                              nullable: true
                          required:
                            - commentCount30d
                            - commentCountAllTime
                        copytradedAllTime:
                          type: object
                          properties:
                            count:
                              type: number
                              nullable: true
                            distinctActors:
                              type: number
                              nullable: true
                            volumeUSD:
                              type: number
                              nullable: true
                          required:
                            - count
                            - distinctActors
                            - volumeUSD
                      required:
                        - thisPartner
                        - allPartners
                        - comments
                        - copytradedAllTime
                      description: Social metrics for the profile
                    isFollowedByUser:
                      type: boolean
                      description: >-
                        Whether the viewer follows this profile. Only populated
                        on endpoints that accept a `viewerAddresses` query param
                        (e.g. `GET /v1/addresses/:identifier/profile`). Absent
                        on endpoints that do not surface follow status.
                    status:
                      type: string
                      enum:
                        - unnamed
                        - backfilling
                        - active
                      description: >-
                        Indicates whether the profile's addresses are being
                        tracked by the swaps indexer. `unnamed` means no
                        addresses-to-check entries exist yet, `backfilling`
                        means at least one is still pending backfill, `active`
                        means all entries exist and have finished backfilling.
                  required:
                    - reason
                    - id
                    - name
                    - images
                    - addresses
                    - metadata
                    - isNSFW
                    - metrics
                    - status
            required:
              - key
              - title
              - description
              - commenters
              - others
      required:
        - sections
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````